/[tivodecode]/t2sami/trunk/Makefile.in
ViewVC logotype

Contents of /t2sami/trunk/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log


Revision 205 - (hide annotations) (download)
Sun Apr 1 22:17:27 2007 UTC (15 years, 2 months ago) by jeremyd2019
File size: 20188 byte(s)
add files that autoconf did not know about to EXTRA_DIST so that they are included in the dist tar file (Doxyfile and windows build files)

1 jeremyd2019 198 # Makefile.in generated by automake 1.10 from Makefile.am.
2     # @configure_input@
3    
4     # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5     # 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
6     # This Makefile.in is free software; the Free Software Foundation
7     # gives unlimited permission to copy and/or distribute it,
8     # with or without modifications, as long as this notice is preserved.
9    
10     # This program is distributed in the hope that it will be useful,
11     # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12     # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13     # PARTICULAR PURPOSE.
14    
15     @SET_MAKE@
16    
17     VPATH = @srcdir@
18     pkgdatadir = $(datadir)/@PACKAGE@
19     pkglibdir = $(libdir)/@PACKAGE@
20     pkgincludedir = $(includedir)/@PACKAGE@
21     am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22     install_sh_DATA = $(install_sh) -c -m 644
23     install_sh_PROGRAM = $(install_sh) -c
24     install_sh_SCRIPT = $(install_sh) -c
25     INSTALL_HEADER = $(INSTALL_DATA)
26     transform = $(program_transform_name)
27     NORMAL_INSTALL = :
28     PRE_INSTALL = :
29     POST_INSTALL = :
30     NORMAL_UNINSTALL = :
31     PRE_UNINSTALL = :
32     POST_UNINSTALL = :
33     bin_PROGRAMS = t2sami$(EXEEXT)
34     subdir = .
35     DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36     $(srcdir)/Makefile.in $(srcdir)/config.h.in \
37     $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
38     depcomp fseeko.c getopt.c getopt_long.c install-sh missing
39     ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40     am__aclocal_m4_deps = $(top_srcdir)/m4/ax_boost_base.m4 \
41     $(top_srcdir)/m4/ax_boost_filesystem.m4 \
42     $(top_srcdir)/m4/c-compiler.m4 $(top_srcdir)/m4/general.m4 \
43     $(top_srcdir)/configure.in
44     am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
45     $(ACLOCAL_M4)
46     am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
47     configure.lineno config.status.lineno
48     mkinstalldirs = $(install_sh) -d
49     CONFIG_HEADER = config.h
50     CONFIG_CLEAN_FILES =
51     am__installdirs = "$(DESTDIR)$(bindir)"
52     binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
53     PROGRAMS = $(bin_PROGRAMS)
54     am_t2sami_OBJECTS = TScan.$(OBJEXT) PS.$(OBJEXT) CC.$(OBJEXT) \
55     Bit.$(OBJEXT) Utility.$(OBJEXT) t2samiapp.$(OBJEXT) \
56     happyfile.$(OBJEXT)
57     t2sami_OBJECTS = $(am_t2sami_OBJECTS)
58     am__DEPENDENCIES_1 =
59     t2sami_DEPENDENCIES = $(LIBOBJS) $(am__DEPENDENCIES_1)
60     DEFAULT_INCLUDES = -I.@am__isrc@
61     depcomp = $(SHELL) $(top_srcdir)/depcomp
62     am__depfiles_maybe = depfiles
63     COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
64     $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
65     CCLD = $(CC)
66     LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
67     CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
68     $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
69     CXXLD = $(CXX)
70     CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
71     -o $@
72     SOURCES = $(t2sami_SOURCES)
73     DIST_SOURCES = $(t2sami_SOURCES)
74     ETAGS = etags
75     CTAGS = ctags
76     DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
77     distdir = $(PACKAGE)-$(VERSION)
78     top_distdir = $(distdir)
79     am__remove_distdir = \
80     { test ! -d $(distdir) \
81     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
82     && rm -fr $(distdir); }; }
83     DIST_ARCHIVES = $(distdir).tar.gz
84     GZIP_ENV = --best
85     distuninstallcheck_listfiles = find . -type f -print
86     distcleancheck_listfiles = find . -type f -print
87     ACLOCAL = @ACLOCAL@
88     AMTAR = @AMTAR@
89     AUTOCONF = @AUTOCONF@
90     AUTOHEADER = @AUTOHEADER@
91     AUTOMAKE = @AUTOMAKE@
92     AWK = @AWK@
93     BOOST_CPPFLAGS = @BOOST_CPPFLAGS@
94     BOOST_FILESYSTEM_LIB = @BOOST_FILESYSTEM_LIB@
95     BOOST_LDFLAGS = @BOOST_LDFLAGS@
96     CC = @CC@
97     CCDEPMODE = @CCDEPMODE@
98     CFLAGS = @CFLAGS@
99     CPP = @CPP@
100     CPPFLAGS = @CPPFLAGS@
101     CXX = @CXX@
102     CXXDEPMODE = @CXXDEPMODE@
103     CXXFLAGS = @CXXFLAGS@
104     CYGPATH_W = @CYGPATH_W@
105     DEFS = @DEFS@
106     DEPDIR = @DEPDIR@
107     DOXYGEN = @DOXYGEN@
108     ECHO_C = @ECHO_C@
109     ECHO_N = @ECHO_N@
110     ECHO_T = @ECHO_T@
111     EGREP = @EGREP@
112     EXEEXT = @EXEEXT@
113     GREP = @GREP@
114     INSTALL = @INSTALL@
115     INSTALL_DATA = @INSTALL_DATA@
116     INSTALL_PROGRAM = @INSTALL_PROGRAM@
117     INSTALL_SCRIPT = @INSTALL_SCRIPT@
118     INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
119     LDFLAGS = @LDFLAGS@
120     LIBOBJS = @LIBOBJS@
121     LIBS = @LIBS@
122     LTLIBOBJS = @LTLIBOBJS@
123     MAINT = @MAINT@
124     MAKEINFO = @MAKEINFO@
125     MKDIR_P = @MKDIR_P@
126     OBJEXT = @OBJEXT@
127     PACKAGE = @PACKAGE@
128     PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
129     PACKAGE_NAME = @PACKAGE_NAME@
130     PACKAGE_STRING = @PACKAGE_STRING@
131     PACKAGE_TARNAME = @PACKAGE_TARNAME@
132     PACKAGE_VERSION = @PACKAGE_VERSION@
133     PATH_SEPARATOR = @PATH_SEPARATOR@
134     RANLIB = @RANLIB@
135     SET_MAKE = @SET_MAKE@
136     SHELL = @SHELL@
137     STRIP = @STRIP@
138     VERSION = @VERSION@
139     abs_builddir = @abs_builddir@
140     abs_srcdir = @abs_srcdir@
141     abs_top_builddir = @abs_top_builddir@
142     abs_top_srcdir = @abs_top_srcdir@
143     ac_ct_CC = @ac_ct_CC@
144     ac_ct_CXX = @ac_ct_CXX@
145     am__include = @am__include@
146     am__leading_dot = @am__leading_dot@
147     am__quote = @am__quote@
148     am__tar = @am__tar@
149     am__untar = @am__untar@
150     bindir = @bindir@
151     build_alias = @build_alias@
152     builddir = @builddir@
153     datadir = @datadir@
154     datarootdir = @datarootdir@
155     docdir = @docdir@
156     dvidir = @dvidir@
157     exec_prefix = @exec_prefix@
158     host_alias = @host_alias@
159     htmldir = @htmldir@
160     includedir = @includedir@
161     infodir = @infodir@
162     install_sh = @install_sh@
163     libdir = @libdir@
164     libexecdir = @libexecdir@
165     localedir = @localedir@
166     localstatedir = @localstatedir@
167     mandir = @mandir@
168     mkdir_p = @mkdir_p@
169     oldincludedir = @oldincludedir@
170     pdfdir = @pdfdir@
171     prefix = @prefix@
172     program_transform_name = @program_transform_name@
173     psdir = @psdir@
174     sbindir = @sbindir@
175     sharedstatedir = @sharedstatedir@
176     srcdir = @srcdir@
177     sysconfdir = @sysconfdir@
178     target_alias = @target_alias@
179     top_builddir = @top_builddir@
180     top_srcdir = @top_srcdir@
181     ACLOCAL_AMFLAGS = -I m4
182     AM_LDFLAGS = $(BOOST_LDFLAGS)
183     AM_CXXFLAGS = $(BOOST_CPPFLAGS)
184 jeremyd2019 202 t2sami_SOURCES = TScan.cpp PS.cpp CC.cpp Bit.cpp Utility.cpp t2samiapp.cpp happyfile.c Bit.h CC.h PS.h TScan.h Utility.h fseeko.h getopt_long.h happyfile.h
185 jeremyd2019 198 t2sami_LDADD = $(LIBOBJS) $(BOOST_FILESYSTEM_LIB)
186 jeremyd2019 205 EXTRA_DIST = Doxyfile config.h.win32 t2sami.rules t2sami.sln t2sami.vcproj
187 jeremyd2019 198 all: config.h
188     $(MAKE) $(AM_MAKEFLAGS) all-am
189    
190     .SUFFIXES:
191     .SUFFIXES: .c .cpp .o .obj
192     am--refresh:
193     @:
194     $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
195     @for dep in $?; do \
196     case '$(am__configure_deps)' in \
197     *$$dep*) \
198     echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
199     cd $(srcdir) && $(AUTOMAKE) --gnu \
200     && exit 0; \
201     exit 1;; \
202     esac; \
203     done; \
204     echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
205     cd $(top_srcdir) && \
206     $(AUTOMAKE) --gnu Makefile
207     .PRECIOUS: Makefile
208     Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
209     @case '$?' in \
210     *config.status*) \
211     echo ' $(SHELL) ./config.status'; \
212     $(SHELL) ./config.status;; \
213     *) \
214     echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
215     cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
216     esac;
217    
218     $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
219     $(SHELL) ./config.status --recheck
220    
221     $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
222     cd $(srcdir) && $(AUTOCONF)
223     $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
224     cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
225    
226     config.h: stamp-h1
227     @if test ! -f $@; then \
228     rm -f stamp-h1; \
229     $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
230     else :; fi
231    
232     stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
233     @rm -f stamp-h1
234     cd $(top_builddir) && $(SHELL) ./config.status config.h
235     $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
236     cd $(top_srcdir) && $(AUTOHEADER)
237     rm -f stamp-h1
238     touch $@
239    
240     distclean-hdr:
241     -rm -f config.h stamp-h1
242     install-binPROGRAMS: $(bin_PROGRAMS)
243     @$(NORMAL_INSTALL)
244     test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
245     @list='$(bin_PROGRAMS)'; for p in $$list; do \
246     p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
247     if test -f $$p \
248     ; then \
249     f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
250     echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
251     $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
252     else :; fi; \
253     done
254    
255     uninstall-binPROGRAMS:
256     @$(NORMAL_UNINSTALL)
257     @list='$(bin_PROGRAMS)'; for p in $$list; do \
258     f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
259     echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
260     rm -f "$(DESTDIR)$(bindir)/$$f"; \
261     done
262    
263     clean-binPROGRAMS:
264     -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
265     t2sami$(EXEEXT): $(t2sami_OBJECTS) $(t2sami_DEPENDENCIES)
266     @rm -f t2sami$(EXEEXT)
267     $(CXXLINK) $(t2sami_OBJECTS) $(t2sami_LDADD) $(LIBS)
268    
269     mostlyclean-compile:
270     -rm -f *.$(OBJEXT)
271    
272     distclean-compile:
273     -rm -f *.tab.c
274    
275     @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/fseeko.Po@am__quote@
276     @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getopt.Po@am__quote@
277     @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getopt_long.Po@am__quote@
278     @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Bit.Po@am__quote@
279     @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CC.Po@am__quote@
280     @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/PS.Po@am__quote@
281     @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/TScan.Po@am__quote@
282     @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Utility.Po@am__quote@
283     @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/happyfile.Po@am__quote@
284     @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t2samiapp.Po@am__quote@
285    
286     .c.o:
287     @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
288     @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
289     @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
290     @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
291     @am__fastdepCC_FALSE@ $(COMPILE) -c $<
292    
293     .c.obj:
294     @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
295     @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
296     @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
297     @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
298     @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
299    
300     .cpp.o:
301     @am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
302     @am__fastdepCXX_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
303     @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
304     @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
305     @am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ $<
306    
307     .cpp.obj:
308     @am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
309     @am__fastdepCXX_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
310     @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
311     @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
312     @am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
313    
314     ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
315     list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
316     unique=`for i in $$list; do \
317     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
318     done | \
319     $(AWK) ' { files[$$0] = 1; } \
320     END { for (i in files) print i; }'`; \
321     mkid -fID $$unique
322     tags: TAGS
323    
324     TAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
325     $(TAGS_FILES) $(LISP)
326     tags=; \
327     here=`pwd`; \
328     list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
329     unique=`for i in $$list; do \
330     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
331     done | \
332     $(AWK) ' { files[$$0] = 1; } \
333     END { for (i in files) print i; }'`; \
334     if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
335     test -n "$$unique" || unique=$$empty_fix; \
336     $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
337     $$tags $$unique; \
338     fi
339     ctags: CTAGS
340     CTAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
341     $(TAGS_FILES) $(LISP)
342     tags=; \
343     here=`pwd`; \
344     list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
345     unique=`for i in $$list; do \
346     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
347     done | \
348     $(AWK) ' { files[$$0] = 1; } \
349     END { for (i in files) print i; }'`; \
350     test -z "$(CTAGS_ARGS)$$tags$$unique" \
351     || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
352     $$tags $$unique
353    
354     GTAGS:
355     here=`$(am__cd) $(top_builddir) && pwd` \
356     && cd $(top_srcdir) \
357     && gtags -i $(GTAGS_ARGS) $$here
358    
359     distclean-tags:
360     -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
361    
362     distdir: $(DISTFILES)
363     $(am__remove_distdir)
364     test -d $(distdir) || mkdir $(distdir)
365     @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
366     topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
367     list='$(DISTFILES)'; \
368     dist_files=`for file in $$list; do echo $$file; done | \
369     sed -e "s|^$$srcdirstrip/||;t" \
370     -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
371     case $$dist_files in \
372     */*) $(MKDIR_P) `echo "$$dist_files" | \
373     sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
374     sort -u` ;; \
375     esac; \
376     for file in $$dist_files; do \
377     if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
378     if test -d $$d/$$file; then \
379     dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
380     if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
381     cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
382     fi; \
383     cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
384     else \
385     test -f $(distdir)/$$file \
386     || cp -p $$d/$$file $(distdir)/$$file \
387     || exit 1; \
388     fi; \
389     done
390     -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
391     ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
392     ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
393     ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
394     || chmod -R a+r $(distdir)
395     dist-gzip: distdir
396     tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
397     $(am__remove_distdir)
398    
399     dist-bzip2: distdir
400     tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
401     $(am__remove_distdir)
402    
403     dist-tarZ: distdir
404     tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
405     $(am__remove_distdir)
406    
407     dist-shar: distdir
408     shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
409     $(am__remove_distdir)
410    
411     dist-zip: distdir
412     -rm -f $(distdir).zip
413     zip -rq $(distdir).zip $(distdir)
414     $(am__remove_distdir)
415    
416     dist dist-all: distdir
417     tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
418     $(am__remove_distdir)
419    
420     # This target untars the dist file and tries a VPATH configuration. Then
421     # it guarantees that the distribution is self-contained by making another
422     # tarfile.
423     distcheck: dist
424     case '$(DIST_ARCHIVES)' in \
425     *.tar.gz*) \
426     GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
427     *.tar.bz2*) \
428     bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
429     *.tar.Z*) \
430     uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
431     *.shar.gz*) \
432     GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
433     *.zip*) \
434     unzip $(distdir).zip ;;\
435     esac
436     chmod -R a-w $(distdir); chmod a+w $(distdir)
437     mkdir $(distdir)/_build
438     mkdir $(distdir)/_inst
439     chmod a-w $(distdir)
440     dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
441     && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
442     && cd $(distdir)/_build \
443     && ../configure --srcdir=.. --prefix="$$dc_install_base" \
444     $(DISTCHECK_CONFIGURE_FLAGS) \
445     && $(MAKE) $(AM_MAKEFLAGS) \
446     && $(MAKE) $(AM_MAKEFLAGS) dvi \
447     && $(MAKE) $(AM_MAKEFLAGS) check \
448     && $(MAKE) $(AM_MAKEFLAGS) install \
449     && $(MAKE) $(AM_MAKEFLAGS) installcheck \
450     && $(MAKE) $(AM_MAKEFLAGS) uninstall \
451     && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
452     distuninstallcheck \
453     && chmod -R a-w "$$dc_install_base" \
454     && ({ \
455     (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
456     && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
457     && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
458     && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
459     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
460     } || { rm -rf "$$dc_destdir"; exit 1; }) \
461     && rm -rf "$$dc_destdir" \
462     && $(MAKE) $(AM_MAKEFLAGS) dist \
463     && rm -rf $(DIST_ARCHIVES) \
464     && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
465     $(am__remove_distdir)
466     @(echo "$(distdir) archives ready for distribution: "; \
467     list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
468     sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
469     distuninstallcheck:
470     @cd $(distuninstallcheck_dir) \
471     && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
472     || { echo "ERROR: files left after uninstall:" ; \
473     if test -n "$(DESTDIR)"; then \
474     echo " (check DESTDIR support)"; \
475     fi ; \
476     $(distuninstallcheck_listfiles) ; \
477     exit 1; } >&2
478     distcleancheck: distclean
479     @if test '$(srcdir)' = . ; then \
480     echo "ERROR: distcleancheck can only run from a VPATH build" ; \
481     exit 1 ; \
482     fi
483     @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
484     || { echo "ERROR: files left in build directory after distclean:" ; \
485     $(distcleancheck_listfiles) ; \
486     exit 1; } >&2
487     check-am: all-am
488     check: check-am
489     all-am: Makefile $(PROGRAMS) config.h
490     installdirs:
491     for dir in "$(DESTDIR)$(bindir)"; do \
492     test -z "$$dir" || $(MKDIR_P) "$$dir"; \
493     done
494     install: install-am
495     install-exec: install-exec-am
496     install-data: install-data-am
497     uninstall: uninstall-am
498    
499     install-am: all-am
500     @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
501    
502     installcheck: installcheck-am
503     install-strip:
504     $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
505     install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
506     `test -z '$(STRIP)' || \
507     echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
508     mostlyclean-generic:
509    
510     clean-generic:
511    
512     distclean-generic:
513     -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
514    
515     maintainer-clean-generic:
516     @echo "This command is intended for maintainers to use"
517     @echo "it deletes files that may require special tools to rebuild."
518     clean: clean-am
519    
520     clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
521    
522     distclean: distclean-am
523     -rm -f $(am__CONFIG_DISTCLEAN_FILES)
524     -rm -rf $(DEPDIR) ./$(DEPDIR)
525     -rm -f Makefile
526     distclean-am: clean-am distclean-compile distclean-generic \
527     distclean-hdr distclean-tags
528    
529     dvi: dvi-am
530    
531     dvi-am:
532    
533     html: html-am
534    
535     info: info-am
536    
537     info-am:
538    
539     install-data-am:
540    
541     install-dvi: install-dvi-am
542    
543     install-exec-am: install-binPROGRAMS
544    
545     install-html: install-html-am
546    
547     install-info: install-info-am
548    
549     install-man:
550    
551     install-pdf: install-pdf-am
552    
553     install-ps: install-ps-am
554    
555     installcheck-am:
556    
557     maintainer-clean: maintainer-clean-am
558     -rm -f $(am__CONFIG_DISTCLEAN_FILES)
559     -rm -rf $(top_srcdir)/autom4te.cache
560     -rm -rf $(DEPDIR) ./$(DEPDIR)
561     -rm -f Makefile
562     maintainer-clean-am: distclean-am maintainer-clean-generic
563    
564     mostlyclean: mostlyclean-am
565    
566     mostlyclean-am: mostlyclean-compile mostlyclean-generic
567    
568     pdf: pdf-am
569    
570     pdf-am:
571    
572     ps: ps-am
573    
574     ps-am:
575    
576     uninstall-am: uninstall-binPROGRAMS
577    
578     .MAKE: install-am install-strip
579    
580     .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
581     clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
582     dist-gzip dist-shar dist-tarZ dist-zip distcheck distclean \
583     distclean-compile distclean-generic distclean-hdr \
584     distclean-tags distcleancheck distdir distuninstallcheck dvi \
585     dvi-am html html-am info info-am install install-am \
586     install-binPROGRAMS install-data install-data-am install-dvi \
587     install-dvi-am install-exec install-exec-am install-html \
588     install-html-am install-info install-info-am install-man \
589     install-pdf install-pdf-am install-ps install-ps-am \
590     install-strip installcheck installcheck-am installdirs \
591     maintainer-clean maintainer-clean-generic mostlyclean \
592     mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
593     tags uninstall uninstall-am uninstall-binPROGRAMS
594    
595    
596     doxygen: Doxyfile $(HEADERS) $(SOURCES) config.h.in
597     $(DOXYGEN) Doxyfile
598     # Tell versions [3.59,3.63) of GNU make to not export all variables.
599     # Otherwise a system limit (for SysV at least) may be exceeded.
600     .NOEXPORT:

cvs@jdrake.com
ViewVC Help
Powered by ViewVC 1.1.13